tt_otype_hsig_op(library call)

NAME
tt_otype_hsig_op — return the operation name of a request signature of an otype

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_otype_hsig_op(
const char *otype,
int sig);

DESCRIPTION

The tt_otype_hsig_op function returns the operation name of the sigth request signature of the given otype.

The otype argument is the object type involved in this operation. The sig argument is the zero-based index into the request signatures of the given otype.

RETURN VALUE

Upon successful completion, the tt_otype_hsig_op function returns the operation attribute of the specified request signature. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_otype_hsig_arg_type(3), tt_otype_hsig_arg_mode(3), tt_otype_hsig_args_count(3), tt_otype_hsig_count(3), tt_ptr_error(3), tt_free(3).